__gnu_cxx::constant_unary_fun< _Result, _Argument >(3cxx)

NAME
__gnu_cxx::constant_unary_fun< _Result, _Argument > - An SGI extension .

SYNOPSIS

#include <functional>

Inherits __gnu_cxx::_Constant_unary_fun< _Result, _Argument >.

  Public Types

typedef _Argument argument_type
typedef _Result result_type

  Public Member Functions

constant_unary_fun (const _Result &__v)
const result_type & operator() (const _Argument &) const

  Public Attributes

result_type _M_val

Detailed Description

  template<class _Result, class _Argument = _Result>
struct __gnu_cxx::constant_unary_fun< _Result, _Argument >"An SGI extension .

Definition at line 312 of file ext/functional.

Member Typedef Documentation

  template<class _Result , class _Argument > typedef _Argument __gnu_cxx::_Constant_unary_fun< _Result, _Argument >::argument_type [inherited]

Definition at line 261 of file ext/functional.

  template<class _Result , class _Argument > typedef _Result __gnu_cxx::_Constant_unary_fun< _Result, _Argument >::result_type [inherited]

Definition at line 262 of file ext/functional.

Constructor & Destructor Documentation

  template<class _Result , class _Argument = _Result> __gnu_cxx::constant_unary_fun< _Result, _Argument >::constant_unary_fun (const _Result & __v) [inline]

Definition at line 314 of file ext/functional.

Member Function Documentation

  template<class _Result , class _Argument > const result_type & __gnu_cxx::_Constant_unary_fun< _Result, _Argument >::operator() (const _Argument &) const [inline], [inherited]

Definition at line 268 of file ext/functional.

Member Data Documentation

  template<class _Result , class _Argument > result_type __gnu_cxx::_Constant_unary_fun< _Result, _Argument >::_M_val [inherited]

Definition at line 263 of file ext/functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.